<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Settings Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Settings Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for Settings:</div>
<div class="dyncontent">
<div class="center"><img src="dir_7b2f53332397a9531c02a7761b07578b_dep.png" border="0" usemap="#dir__7b2f53332397a9531c02a7761b07578b__dep" alt="/workplace/avs-device-sdk/CapabilityAgents/Settings"/></div>
<map name="dir__7b2f53332397a9531c02a7761b07578b__dep" id="dir__7b2f53332397a9531c02a7761b07578b__dep">
<area shape="rect" id="node2" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html" title="include" alt="" coords="164,157,236,205"/>
<area shape="rect" id="node5" href="dir_cf27311ab9f4263eef70b28364b95692.html" title="CertifiedSender" alt="" coords="80,253,194,301"/>
<area shape="rect" id="edge12-headlabel" href="dir_000186_000211.html" title="1" alt="" coords="167,236,174,249"/>
<area shape="rect" id="node6" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html" title="Storage" alt="" coords="299,349,371,397"/>
<area shape="rect" id="edge13-headlabel" href="dir_000186_000303.html" title="1" alt="" coords="311,323,318,336"/>
<area shape="rect" id="node7" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="97,445,199,493"/>
<area shape="rect" id="edge14-headlabel" href="dir_000186_000015.html" title="8" alt="" coords="214,459,222,473"/>
<area shape="rect" id="node8" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="130,349,275,397"/>
<area shape="rect" id="edge15-headlabel" href="dir_000186_000272.html" title="2" alt="" coords="210,325,218,338"/>
<area shape="rect" id="node3" href="dir_0240842532871a78aec5cbcb2b1fe4a1.html" title="src" alt="" coords="133,61,205,109"/>
<area shape="rect" id="edge8-headlabel" href="dir_000188_000186.html" title="3" alt="" coords="191,130,198,144"/>
<area shape="rect" id="edge6-headlabel" href="dir_000188_000303.html" title="2" alt="" coords="328,323,336,336"/>
<area shape="rect" id="edge7-headlabel" href="dir_000188_000015.html" title="7" alt="" coords="121,419,128,432"/>
<area shape="rect" id="node4" href="dir_b4732538f897b77742fbc25d6342abd2.html" title="test" alt="" coords="37,61,109,109"/>
<area shape="rect" id="edge11-headlabel" href="dir_000189_000186.html" title="3" alt="" coords="155,133,162,146"/>
<area shape="rect" id="edge9-headlabel" href="dir_000189_000211.html" title="2" alt="" coords="128,227,135,240"/>
<area shape="rect" id="edge10-headlabel" href="dir_000189_000015.html" title="6" alt="" coords="101,420,108,434"/>
<area shape="rect" id="edge1-headlabel" href="dir_000211_000303.html" title="3" alt="" coords="282,333,290,346"/>
<area shape="rect" id="edge2-headlabel" href="dir_000211_000015.html" title="19" alt="" coords="128,418,143,431"/>
<area shape="rect" id="edge3-headlabel" href="dir_000211_000272.html" title="5" alt="" coords="179,322,186,336"/>
<area shape="rect" id="edge4-headlabel" href="dir_000303_000015.html" title="13" alt="" coords="208,438,222,451"/>
<area shape="rect" id="edge5-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="175,427,182,440"/>
<area shape="rect" id="clust2" href="dir_7b2f53332397a9531c02a7761b07578b.html" alt="" coords="27,51,312,216"/>
<area shape="rect" id="clust1" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" title="CapabilityAgents" alt="" coords="16,16,323,227"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_d2ddfe87420d7ac75b0237f25eb53378"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_d2ddfe87420d7ac75b0237f25eb53378.html">include</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_0240842532871a78aec5cbcb2b1fe4a1"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_0240842532871a78aec5cbcb2b1fe4a1.html">src</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_b4732538f897b77742fbc25d6342abd2"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_b4732538f897b77742fbc25d6342abd2.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
